Bug 1022767 - dahdi modules must be loaded before asterisk starts
dahdi modules must be loaded before asterisk starts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dahdi-tools (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 21:32 EDT by Andrew J. Schorr
Modified: 2017-08-08 07:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:43:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch dahdi.init to run before asterisk (430 bytes, patch)
2015-01-27 11:55 EST, Andrew J. Schorr
no flags Details | Diff

  None (edit)
Description Andrew J. Schorr 2013-10-23 21:32:34 EDT
Description of problem:
The current LSB init script /etc/rc.d/init.d/dahdi must load the modules
before asterisk starts.  Otherwise, asterisk will get an error when it
tries to load the dahdi interface.  The init script should either be
replaced with a systemd service, or it should be patched to add this
line to the LSB header:

# X-Start-Before:  asterisk


Version-Release number of selected component (if applicable):
dahdi-tools-2.4.1-6.fc18.x86_64


How reproducible: If you "chkconfig dahdi on" and "systemctl enable asterisk"
and reboot, you do not know which will run first.  If asterisk starts
before the dahdi kernel modules have finished loading, then asterisk will not
be able to load its dahdi modules.


Steps to Reproduce:
1. chkconfig dahdi on
2. systemctl enable asterisk
3. reboot

Actual results:
Asterisk may not load its dahdi interface successfully.

Expected results:
Asterisk should start after the dahdi kernel modules have finished loading
so that it can successfully load its dahdi interface.

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:21:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Andrew J. Schorr 2015-01-27 10:35:05 EST
This problem still exists in the rawhide version dahdi-tools-2.10.0-2.fc22.src.rpm
Comment 3 Andrew J. Schorr 2015-01-27 11:55:22 EST
Created attachment 984762 [details]
patch dahdi.init to run before asterisk

Patch to make sure that dahdi is started before asterisk.
Comment 4 Jaroslav Reznik 2015-03-03 10:09:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Alex Regan 2015-07-20 20:42:08 EDT
I'm not sure if it's related, but I've also noticed /etc/init.d/dahdi sources /etc/init.d/functions. The /etc/init.d/functions in fc22 returns a 1 if /proc/cmdline doesn't contain "rc.debug".

/etc/init.d/dahdi exits upon receiving a 1, so it never starts.
Comment 6 Slava 2015-07-28 13:29:30 EDT
Per comment 5 that exactly what it is.


Jul 28 14:23:22 canlpbx02.networklab.prod dahdi[3253]: ++ '[' '' = 1 ']'
Jul 28 14:23:22 canlpbx02.networklab.prod dahdi[3253]: +++ cat /proc/cmdline
Jul 28 14:23:22 canlpbx02.networklab.prod dahdi[3253]: ++ strstr 'BOOT_IMAGE=/vmlinuz-4.0.8-300.fc22.x86_64 root=/dev/mapper/fedora--server-root ro rd.lvm.lv=fedora-server/r
Jul 28 14:23:22 canlpbx02.networklab.prod dahdi[3253]: ++ '[' 'BOOT_IMAGE=/vmlinuz-4.0.8-300.fc22.x86_64 root=/dev/mapper/fedora--server-root ro rd.lvm.lv=fedora-server/root
Jul 28 14:23:22 canlpbx02.networklab.prod dahdi[3253]: ++ return 1
Jul 28 14:23:22 canlpbx02.networklab.prod dahdi[3253]: + exit 0
Jul 28 14:23:22 canlpbx02.networklab.prod systemd[1]: Started LSB: DAHDI kernel modules.
Comment 7 Fedora End Of Life 2016-07-19 06:31:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Andrew J. Schorr 2016-07-19 14:58:12 EDT
This problem persists in dahdi-tools-2.10.0-8.fc24.src.rpm
Comment 9 Fedora End Of Life 2017-07-25 14:35:55 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 07:43:46 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.